package com.jasamedika.medifirst2000.service;

import java.util.List;
import java.util.Map;

import com.jasamedika.medifirst2000.entities.LoginUser;
import com.jasamedika.medifirst2000.entities.Ruangan;
import com.jasamedika.medifirst2000.vo.MappingKirimDokumenPasienVO;

public interface KirimDokumenPasienService {

	Map<String, Object> saveKirimDokumenPasien(MappingKirimDokumenPasienVO vo);

	Map<String, Object> saveTerimaDokumenPasien(MappingKirimDokumenPasienVO vo, String noRec);

	Map<String, Object> saveKirimBalikDokumenPasien(MappingKirimDokumenPasienVO vo, String noRec);

	Ruangan getRuanganByUserLogin();

	LoginUser getLoginUser();

	List<Integer> getRuanganByUserLoginList();

	Map<String, Object> getDaftarDokumenRekamMedisPasien(Integer page, Integer limit, String sort, String dir,
			String dateStartMasuk, String dateEndMasuk, String dateStartPulang, String dateEndPulang,
			String ruanganPelayanan, Integer idRuangan, Integer idPasien, String namaPasien, String noCm,
			String ruanganPasien);

	Map<String, Object> getDaftarKirimDokumenRekamMedisPasien(Integer page, Integer limit, String sort, String dir,
			String dateStartMasuk, String dateEndMasuk, String dateStartPulang, String dateEndPulang,
			String dateStartKirim, String dateEndKirim, String ruanganPelayanan, String ruanganAsal, Integer idRuangan,
			Integer idPasien, String namaPasien, String noCm, String ruanganPasien);

	Map<String, Object> getDaftarDokumenRekamMedisPasienTerima(Integer page, Integer limit, String sort, String dir,
			String dateStartMasuk, String dateEndMasuk, String dateStartPulang, String dateEndPulang,
			String ruanganPelayanan, Integer idRuangan, Integer idPasien, String namaPasien, String noCm,
			String ruanganPasien);
}
